# Uses of Interface
java.lang.classfile.MethodModel

Packages that use MethodModel
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of MethodModel in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type MethodModel
Modifier and Type
Method
Description
`List<MethodModel>`
ClassModel.`methods()`
Returns the methods of this class.
`Optional<MethodModel>`
CodeModel.`parent()`
Returns the enclosing method, if known.
Methods in java.lang.classfile with parameters of type MethodModel
Modifier and Type
Method
Description
`ClassBuilder`
ClassBuilder.`transformMethod(MethodModel method, MethodTransform transform)`
Adds a method by transforming a method from another class.
Method parameters in java.lang.classfile with type arguments of type MethodModel
Modifier and Type
Method
Description
`static ClassTransform`
ClassTransform.`transformingMethodBodies(Predicate<MethodModel> filter, CodeTransform xform)`
Creates a class transform that transforms the `CodeAttribute` (method body) of `MethodModel` elements with the supplied code transform for methods that the supplied `Predicate` returns true for, passing other elements through to the builder.
`static ClassTransform`
ClassTransform.`transformingMethods(Predicate<MethodModel> filter, MethodTransform xform)`
Creates a class transform that transforms `MethodModel` elements with the supplied method transform for methods that the supplied `Predicate` returns true for, passing other elements through to the builder.